/*
 Theme Name:   Storefront Child
 Description:  Tema filho para personalizações do Storefront
 Author:       Renato Machado
 Template:     storefront
 Version:      1.0.0
*/

/* Suas customizações de CSS podem vir abaixo desta linha */
.home.blog .site-header, .home.page:not(.page-template-template-homepage) .site-header, .home.post-type-archive-product .site-header {
	margin-bottom: 0 !important;

}

body.home .page figure.bannerSitePC {
	    text-align: center;
    background: linear-gradient(-45deg, #ba02eb, #8d4dfe);	
}
body.home .page figure.bannerSitePC img {
	display: inline-block;
	max-height: 300px;
	width: auto;
}

/* Remove a estilização que o WooCommerce tenta forçar mesmo sem o script DE SELECT2 */
.select2-container {
    display: none !important;
}
/* Esconde qualquer resíduo visual do Select2 * /
.select2-container, 
.select2-hidden-accessible {
    display: none !important;
    visibility: hidden !important;
}*/
select.select2-hidden-accessible {
      position: static !important;
    width: auto !important;
    height: auto !important;
    clip: auto !important;
    overflow: visible !important;
    border: 1px solid gray !important;
    padding: 3px 14px !important;
    margin: 0 !important;
}
.order_data_column select.select2-hidden-accessible {
    width: 100% !important;
}
/* Força o seu <select> real a aparecer e ficar clicável */
select#billing_state, 
select#shipping_state,
select#billing_country {
    width: 100%;
    border: 1px solid #d1d5db;
    border-radius: 12px;
    padding: 12px 14px;
    font-size: 15px;
    transition: all 0.2s ease;
    background-color: #fff;
    visibility: visible !important;
    line-height: 1;
    text-rendering: optimizeLegibility;
    color: #43454b;
    box-sizing: border-box;
}
select#billing_state option {

}

@media (min-width: 768px) {

    #billing_address_1_field {
         width: 68%;
         float: left;
         margin-right: 4%;
         clear:none;
    }
    #billing_number_field {
        width: 28%;
         float: right;
         margin-right:0;
         clear:none;
    }
    .col2-set .form-row-first {
        width: 48%;
        float: left;
        margin-right: 4%;
    }
    .col2-set .form-row-last {
        width: 48%;
        float: right;
        margin-right: 0;
    }
    #billing_neighborhood_field {
         width: 48%;
         float: left;
         margin-right: 4%;
         clear:none;
    }
    #billing_address_2_field {
        width: 48%;
         float: right;
         margin-right:0;
         clear:none;
    }
    
}

#billing_address_1_field.form-row, #billing_address_2_field.form-row, #billing_number_field.form-row, #billing_neighborhood_field.form-row, #billing_city_field.form-row,
#billing_state_field.form-row {
    display: none !important;
}

.woocommerce-billing-fields #billing_state_field label, .woocommerce-billing-fields #billing_state {
    display: inherit !important;
}

p.checkout-inline-error-message {
    font-size: 12px;
    font-weight: 600;
    text-align: left;
    padding-left: 15px;
    color: #b90000;
}

#payment .payment_methods>.woocommerce-PaymentMethod>label, #payment .payment_methods>.wc_payment_method>label {
    text-align: left;
}

#payment .payment_methods li p img.pix-template-image {
float: none;
    width: 50%;
    max-height: none;
    margin-bottom: 20px;
}
span.title-chckt-pagarme {
font-weight: 700;
    font-size: 1.0em;
    color: rgb(15 39 216) !important;
    font-style: normal !important;
    line-height: 1.2em;
    display: inline-block;
}
span.texto-chckt-pagarme {
       font-weight: 500;
    font-size: 15px;
    font-style: normal !important;
    line-height: 22px;
    display: inline-block;
    text-align: justify;
    max-width: 80%;
        margin-bottom: 15px;
}
span.texto-chckt-pagarme span {
        font-size: 14px;
    width: 100%;
    float: left;
    text-align: center;
    padding: 1.2em 0;
}
#payment .payment_methods li[class*="pagarme"] p img {

    float: none;
    display: inline-block;
 
}
#payment ul.payment_methods li[class*="pagarme"] p img.logo {
    display: none;
}

#payment .payment_methods li[class*="pagarme"] img, .wc-block-checkout__payment-method .wc-block-components-radio-control .wc-block-components-radio-control-accordion-content img {
            max-height: 2.2em;
    margin-top: -0.25em;
}

/* 
 --- PERSONALIZA A EXPERIENCIA DE PAGAMENTO VIA QR CODE DO PAGAR.ME
*/
.swal2-icon {
    transform: scale(0.7);
}
.swal2-title {
    font-size: 1.3em;
}
img.pagarme-qr-code-img {
    width: 120px;
}
.pagarme-qr-input{
width:100%;
padding:10px;
border:1px solid #ddd;
border-radius:6px;
font-size:16px;
    margin: 10px 0;
cursor:pointer;
background:#f9f9f9;
text-align:center;
font-weight: 600;
color: #0b1bc8;
}

.pagarme-orienta-pagar-pix {
 font-size: 1.1em;
    line-height: 1.3em;
    padding: 10px 10px;
    font-weight: 600;
}
span.pagarme-details-pix-qr-value {
    clear: both;
    font-size: 1.5em;
    display: block;
    font-weight: 700;
    color: #1dc10d;
    padding: 0;
    line-height: 1.5em;
}

img.pix-template-image {
    width: 120px;
   padding: 40px 0 20px 0;
    display: inline-block;
}
.pagarme-response span#pix-favorecido-info {
    font-size: 1.1em;
    display:block;color:#444;line-height:1.4;
}
.pagarme-response span#pix-favorecido-info ul.nomedoproduto {
    font-size: 0.9em;
}
.ensine-pix-qr-wrapper {
    MARGIN-TOP: 10PX;
}



.woocommerce-billing-fields span.optional {
    display: none;
}

.pagarme-response button#pagarme-qr-code-button {
    background-color: #176def;
    border-color: #176def;
    border-radius: 8px;
    font-size: 1.2em;
}


a.whatsapp-block__button {
        background: #25d366;
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 26 26'%3E%3Cpath fill='%23fff' d='M24 11.69c0 6.458-5.274 11.692-11.782 11.692-2.066 0-4.007-.528-5.695-1.455L0 24l2.127-6.273a11.57 11.57 0 0 1-1.691-6.036C.436 5.234 5.711 0 12.218 0 18.726 0 24 5.234 24 11.69M12.218 1.863c-5.462 0-9.905 4.41-9.905 9.829 0 2.15.7 4.142 1.886 5.763l-1.237 3.65 3.807-1.21a9.9 9.9 0 0 0 5.45 1.626c5.461 0 9.905-4.409 9.905-9.829s-4.444-9.83-9.906-9.83m5.95 12.521c-.073-.119-.265-.19-.554-.334-.289-.143-1.71-.837-1.973-.932-.265-.095-.458-.143-.65.143-.193.287-.746.932-.915 1.123-.169.192-.337.216-.626.073-.288-.143-1.219-.446-2.322-1.422-.858-.76-1.438-1.697-1.607-1.985-.168-.286-.017-.441.127-.584.13-.128.29-.335.433-.502.145-.167.193-.286.289-.478.097-.191.048-.358-.024-.502-.072-.143-.65-1.553-.89-2.127-.241-.574-.482-.478-.65-.478s-.361-.024-.554-.024-.506.072-.77.358c-.265.287-1.01.98-1.01 2.39s1.034 2.773 1.178 2.964c.145.19 1.998 3.179 4.934 4.326s2.936.764 3.466.716c.529-.047 1.708-.693 1.95-1.362.24-.67.24-1.243.168-1.363'/%3E%3C/svg%3E");
    background-position: 16px;
    background-repeat: no-repeat;
    background-size: 32px 32px;
    border: none;
    border-radius: 8px;
    box-sizing: border-box;
    color: #fff;
    display: block;
    font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
    font-size: 20px;
    font-weight: 500;
    line-height: 36px;
    min-height: 50px;
    padding: 8px 16px 8px 56px;
    text-decoration: none !important;
    white-space: nowrap;
        max-width: 300px;
        margin-bottom: 50px;
}

.pedido-pago-obrigado {
        font-size: 1.1em;
    color: #222;
    padding: 20px 20px;
}

p#billing_persontype_field {
    display: none;
}